# /builddir/build/BUILD/alsa-lib-1.1.0/src/output.c File Reference

Generic stdio-like output interface. More...

## Functions

int | snd_output_close (snd_output_t *output)
| Closes an output handle.
int | snd_output_printf (snd_output_t *output, const char *format,...)
| Writes formatted output (like `fprintf(3)`) to an output handle.
int | snd_output_vprintf (snd_output_t *output, const char *format, va_list args)
| Writes formatted output (like `fprintf(3)`) to an output handle.
int | snd_output_puts (snd_output_t *output, const char *str)
| Writes a string to an output handle (like `fputs(3)`).
int | snd_output_putc (snd_output_t *output, int c)
| Writes a character to an output handle (like `putc(3)`).
int | snd_output_flush (snd_output_t *output)
| Flushes an output handle (like fflush(3)).
int | snd_output_stdio_attach (snd_output_t **outputp, FILE *fp, int _close)
| Creates a new output object using an existing stdio `FILE` pointer.
int | snd_output_stdio_open (snd_output_t **outputp, const char *file, const char *mode)
| Creates a new output object writing to a file.
size_t | snd_output_buffer_string (snd_output_t *output, char **buf)
| Returns the address of the buffer of a SND_OUTPUT_BUFFER output handle.
int | snd_output_buffer_open (snd_output_t **outputp)
| Creates a new output object with an auto-extending memory buffer.

## Detailed Description

Generic stdio-like output interface.

Author:
  Abramo Bagnara <abramo@alsa-project.org>

Date:
  2000

Generic stdio-like output interface

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines